Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IPlatformEnvironment

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  IFeature, IFeatureReference, IImport, IIncludedFeatureReference, INonPluginEntry, IPluginEntry, ISiteFeatureReference

All Known Implementing Classes:
  Feature, FeatureReference, Import, IncludedFeatureReference, NonPluginEntry, PluginEntry, SiteFeatureReference

public interface IPlatformEnvironment
extends IAdaptable

Plug-in entry defines a packaging reference from a feature to a plug-in. It indicates that the referenced plug-in is to be considered as part of the feature. Note, that this does not necessarily indicate that the plug-in files are packaged together with any other feature files. The actual packaging details are determined by the feature content provider for the feature.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `PluginEntry`, `FeatureContentProvider`

Method Summary
`String` | `getNL()` Returns optional locale specification.
`String` | `getOS()` Returns optional operating system specification.
`String` | `getOSArch()` Returns optional system architecture specification.
`String` | `getWS()` Returns optional system architecture specification.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getOS

    public String getOS()

  Returns optional operating system specification. A comma-separated list of os designators defined by the platform. Indicates this entry should only be installed on one of the specified os systems. If this attribute is not specified, or is `*`, the entry can be installed on all systems (portable implementation). If the This information is used as a hint by the installation and update support.

  Returns:
    the operating system specification, or `null`.
  Since:
    2.0

### getWS

    public String getWS()

  Returns optional system architecture specification. A comma-separated list of arch designators defined by the platform. Indicates this entry should only be installed on one of the specified systems. If this attribute is not specified, or is `*`, the entry can be installed on all systems (portable implementation). This information is used as a hint by the installation and update support.

  Returns:
    system architecture specification, or `null`.
  Since:
    2.0

### getOSArch

    public String getOSArch()

  Returns optional system architecture specification. A comma-separated list of arch designators defined by the platform. Indicates this entry should only be installed on one of the specified systems. If this attribute is not specified, or is `*`, the entry can be installed on all systems (portable implementation). This information is used as a hint by the installation and update support.

  Returns:
    system architecture specification, or `null`.
  Since:
    2.0

### getNL

    public String getNL()

  Returns optional locale specification. A comma-separated list of locale designators defined by Java. Indicates this entry should only be installed on a system running with a compatible locale (using Java locale-matching rules). If this attribute is not specified, or is `*`, the entry can be installed on all systems (language-neutral implementation). This information is used as a hint by the installation and update support.

  Returns:
    the locale specification, or `null`.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.